### Hierarchy

- TableSettings

## Index

### Constructors

- constructor

### Properties

- content
- panes
- template
- title

### Methods

- addPane
- commit
- getContent
- getPanes
- setPanes
- toJSON
- toString

## Constructors

### constructor

- new TableSettings(options: TableSettingsOptions): TableSettings

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:19

  #### Parameters

  - ##### options: TableSettingsOptions

  #### Returns TableSettings

## Properties

### content

content: any

- Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:16

### Protected panes

panes: TableSettingsPane[] = ...

- Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:19

### template

template: TemplateRef<any>

- Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:18

### title

title: any

- Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:17

## Methods

### addPane

- addPane(paneOrOptions: TableSettingsPane | TableSettingsPaneOptions): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:30

  #### Parameters

  - ##### paneOrOptions: TableSettingsPane | TableSettingsPaneOptions

  #### Returns void

### commit

- commit(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:72

  #### Returns void

### getContent

- getContent(): Observable<any>

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:46

  #### Returns Observable<any>

### getPanes

- getPanes(): TableSettingsPane[]

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:42

  #### Returns TableSettingsPane[]

### setPanes

- setPanes(panes: TableSettingsPane[]): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:38

  #### Parameters

  - ##### panes: TableSettingsPane[]

  #### Returns void

### toJSON

- toJSON(): { content: any; panes: any[]; title: any }

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:54

  #### Returns { content: any; panes: any[]; title: any }

  - ##### content: any

  - ##### panes: any[]

  - ##### title: any

### toString

- toString(): string

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-model.class.ts:68

  #### Returns string

Generated using TypeDoc